> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Employee Conflicts

> Applies a batch of employee-sync conflict resolutions (map to existing role or create new) via EmployeeSyncService.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/resolve-employee-conflicts
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/resolve-employee-conflicts:
    post:
      operationId: resolveEmployeeConflicts
      summary: Resolve Employee Conflicts
      description: >-
        Applies a batch of employee-sync conflict resolutions (map to existing
        role or create new) via EmployeeSyncService.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveEmployeeConflictsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolveEmployeeConflictsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ResolveEmployeeConflictsRequest:
      type: object
      properties:
        resolutions:
          type: array
          items:
            type: object
            properties:
              externalEmployeeID:
                type: string
              targetRoleInOrgID:
                type:
                  - string
                  - 'null'
              integrationType:
                type: string
                enum:
                  - ADP
                  - WORKDAY
                  - DEEL
                  - UKG
                  - BAMBOOHR
                  - CSV_UPLOAD
                  - QUICKBOOKS_ONLINE
                  - GREENHOUSE
                  - KOTA_BENEFITS
              employeeData:
                type: object
                properties:
                  email:
                    type: string
                  givenName:
                    type: string
                  familyName:
                    type: string
                  externalEmployeeID:
                    type: string
                  department:
                    type: string
                  positionID:
                    type: string
                  payrollEntity:
                    type: string
                  payrollGroup:
                    type: string
                  country:
                    type: string
                  baseSalary:
                    type: number
                  baseSalaryCurrency:
                    type: string
                required:
                  - email
                  - givenName
                  - familyName
            required:
              - externalEmployeeID
              - targetRoleInOrgID
              - integrationType
              - employeeData
      required:
        - resolutions
    ResolveEmployeeConflictsResponse:
      type: object
      properties:
        success:
          type: boolean
        resolved:
          type: integer
        created:
          type: integer
        errors:
          type: array
          items:
            type: string
      required:
        - success
        - resolved
        - created
        - errors
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
